# my global config
global:
  scrape_interval:     1m # Set the scrape interval to every 15 seconds. Default is every 1 minute.
  evaluation_interval: 1m # Evaluate rules every 15 seconds. The default is every 1 minute.
  # scrape_timeout is set to the global default (10s).

  # Attach these labels to any time series or alerts when communicating with
  # external systems (federation, remote storage, Alertmanager).
  external_labels:
      monitor: 'tlt-pks-monitoring'

# Load rules once and periodically evaluate them according to the global 'evaluation_interval'.
rule_files:
  - "./config/prometheus_rules.yml"
  # - "second.rules"
alerting:
  alertmanagers:
  - scheme: http
    api_version: v1
    static_configs:
    - targets:
      - "alertmanager:9093"

# A scrape configuration containing exactly one endpoint to scrape:
# Here it's Prometheus itself.
scrape_configs:
  # The job name is added as a label `job=<job_name>` to any timeseries scraped from this config.
  - job_name: 'prometheusdev'
    # metrics_path defaults to '/metrics'
    # scheme defaults to 'http'.
    static_configs:
      - targets: ['localhost:9091']      
  
  - job_name: 'cadvisor-ndid-uat-rp'
#   scrape_interval: 5s
    static_configs:
      - targets: ['10.187.0.15:9090']
  
  - job_name: 'cadvisor-ndid-uat-idp'
#   scrape_interval: 5s
    static_configs:
      - targets: ['10.187.0.16:9090']

  - job_name: 'tlt-ndid-mq-prd'
#   scrape_interval: 5s
    static_configs:
      - targets: ['10.187.0.8:8080']

  - job_name: 'node_exporter'
    # metrics_path defaults to '/metrics'
    # scheme defaults to 'http'.
    static_configs:
      - targets: ['node_exporter:9100']

  # - job_name: nutanix_export
  #   # metrics_path: /metrics
  #   static_configs:
  #     # - targets: ['localhost:9405']
  #     - targets: ['10.110.172.151:9405']


  - job_name: 'win-exporter'
    # metrics_path: /metrics
    # scheme defaults to 'http'.
    static_configs:
      - targets: ['10.10.40.156:9182'] # mssql online application & simple
        labels:
          instance: 'pks-mssql-simply'
      - targets: ['10.10.10.21:9182'] # dns01 windows server
        labels:
          instance: 'pks-dns01'
      - targets: ['10.10.10.22:9182'] # dns02 windows server
        labels:
          instance: 'pks-dns02'
      - targets: ['10.187.0.5:9182'] # dns02 windows server
        labels:
          instance: 'pks-dns_forwarder'          
      - targets: ['10.10.40.8:9182'] # mssql-AD server (AG)
        labels:
          instance: 'pks-mssql-AD'
      - targets: ['10.10.40.10:9182'] # mssql01-AG
        labels:
          instance: 'pks-mssql01-AG'
      - targets: ['10.10.40.11:9182'] # mssql02-AG
        labels:
          instance: 'pks-mssql02-AG'
      - targets: ['10.10.80.16:9182'] 
        labels:
          instance: 'pks-kube-windows-worker01'          
      - targets: ['10.10.80.17:9182'] 
        labels:
          instance: 'pks-kube-windows-worker02'    
      - targets: ['10.10.80.18:9182'] 
        labels:
          instance: 'pks-kube-windows-worker03'  
      - targets: ['10.10.80.19:9182'] 
        labels:
          instance: 'pks-kube-windows-worker04'    
      - targets: ['10.10.80.29:9182'] 
        labels:
          instance: 'pks-kube-windows-worker05'
      

  - job_name: 'pks_app_monitoring_dev'
    metrics_path: /probe
    params:
      module: [http_2xx]  # Look for a HTTP 200 response.
    static_configs:
      - targets:
        - ห
        - https://tltaccessui-dev.tlt.co.th/
        - https://antimoney-pks-dev.tlt.co.th/
        - https://garequest-pks-dev.tlt.co.th/
        - https://pksdev.tlt.co.th/tltauthenticationapi/swagger/index.html
        - https://pksdev.tlt.co.th/creditportalexternalapi/swagger/index.html
        - https://pksdev.tlt.co.th/dealerportalexternalapi/swagger/index.html
        - https://pksdev.tlt.co.th/dleucasapi/swagger/index.html
        - https://pksdev.tlt.co.th/fixassetrequisitionapi/swagger/index.html
        - https://pksdev.tlt.co.th/gagamobiapi/swagger/index.html
        - https://pksdev.tlt.co.th/garequestcenterapi/swagger/index.html
        - https://pksdev.tlt.co.th/imegatronapi/swagger/index.html
        - https://pksdev.tlt.co.th/ioptimusapi/swagger/index.html
        - https://pksdev.tlt.co.th/ismartagentapi/swagger/index.html
        - https://pksdev.tlt.co.th/jarvisapi/swagger/index.html
        - https://pksdev.tlt.co.th/ndidmobiapi/swagger/index.html
        - https://pksdev.tlt.co.th/parmatus/swagger/index.html
        - https://pksdev.tlt.co.th/shopsabuyapi/swagger/index.html
        - https://pksdev.tlt.co.th/smartagentapi/swagger/index.html
        - https://pksdev.tlt.co.th/synergycardapi/swagger/index.html
        - https://pksdev.tlt.co.th/tltaccessapi/swagger/index.html
        - https://pksdev.tlt.co.th/tltappmanagementapi/swagger/index.html
        - https://pksdev.tlt.co.th/tltbcexternalapi/swagger/index.html

    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: blackbox_exporter:9115  # The blackbox exporter's real hostname:port.

  - job_name: 'blackbox_ping'
    metrics_path: /probe
    params:
      module: [icmp]  
    static_configs:
      - targets: ['10.10.10.21']
        labels:
          instance: 'PKS-DNS-Server01'
      - targets: ['10.10.10.22']
        labels:
          instance: 'PKS-DNS-Server02'
      - targets: ['10.10.40.8'] # mssql-AD server (AG)
        labels:
          instance: 'pks-mssql-AD'
      - targets: ['10.10.40.10'] # mssql01-AG
        labels:
          instance: 'pks-mssql01-AG'
      - targets: ['10.10.40.11'] # mssql02-AG
        labels:
          instance: 'pks-mssql02-AG'                    
      - targets: ['10.187.0.15']
        labels:
          instance: 'NDID-UAT-PKS-RP'
      - targets: ['10.187.0.16']
        labels:
          instance: 'NDID-UAT-PKS-IDP'
      - targets: ['10.187.0.17']
        labels:
          instance: 'NDID-UAT-PKS-KEK'          
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: blackbox_exporter:9115  # The blackbox exporter's real hostname:port.
